#ifndef PATHCREATOR_H
#define PATHCREATOR_H
#include <string>

class PathCreator
{
public:
    PathCreator();
    ~PathCreator();
    std::string GetCurPath();
    bool Mkdir(std::string dir);
    bool CreateDatePath(std::string root, bool add_time = true);
protected:
    std::string m_current_path;
};


#endif // PATHCREATOR_H
